## pam-krb5-migrate 0.0.6

=== Makefile ===
-include Makefile.settings
LDFLAGS += -Bsymbolic -x -shared

# Uncomment these lines to build the module with local db support.
#KLOCAL = -DKADMIN_LOCAL
#LIBS   = -lkadm5srv

# Uncomment these lines to build the module with remote kadmin support.
KLOCAL =
LIBS  += `$(KRB5CONFIG) --libs krb5 kadm-client`
LIBS  += -lc

all: pam_krb5_migrate.so

pam_krb5_migrate.so: pam_krb5_migrate.o
	$(LD) -Bsymbolic -x -shared -o pam_krb5_migrate.so \
	  pam_krb5_migrate.o $(LIBS)

pam_krb5_migrate.o: pam_krb5_migrate.c
	$(CC) -o $@ -c $< $(KLOCAL) $(CFLAGS)

check:: 

install: all
	install -m755 -o root pam_krb5_migrate.so /lib/security/

tags:
	ctags -R .

clean:
	rm -f *.o *.so test

distclean:: clean
	rm -rf autom4te.cache config.log config.status Makefile.settings

## pam-krb5-migrate 0.0.8

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
--include Makefile.settings
+include Makefile.settings
 LDFLAGS += -Bsymbolic -x -shared
+CFLAGS += `$(KRB5CONFIG) --cflags krb5 kadm-client`
+CFLAGS += -fPIC
 
 # Uncomment these lines to build the module with local db support.
 #KLOCAL = -DKADMIN_LOCAL
@@ -17,14 +19,17 @@
 	  pam_krb5_migrate.o $(LIBS)
 
 pam_krb5_migrate.o: pam_krb5_migrate.c
-	$(CC) -o $@ -c $< $(KLOCAL) $(CFLAGS)
+	$(CC) -o $@ -c $< $(KLOCAL) $(CFLAGS) $(DEFS)
 
 check:: 
 
 install: all
-	install -m755 -o root pam_krb5_migrate.so /lib/security/
+	install -d $(DESTDIR)/lib/security
+	install -d $(DESTDIR)$(mandir)/man7
+	install -m755 -o root pam_krb5_migrate.so $(DESTDIR)/lib/security/
+	install -m0644 -o root pam_krb5_migrate.7 $(DESTDIR)$(mandir)/man7
 
-tags:
+ctags:
 	ctags -R .
 
 clean:

## pam-krb5-migrate 0.0.10

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 include Makefile.settings
 LDFLAGS += -Bsymbolic -x -shared
 CFLAGS += `$(KRB5CONFIG) --cflags krb5 kadm-client`
+CFLAGS += $(COM_ERR_CFLAGS)
 CFLAGS += -fPIC
 
 # Uncomment these lines to build the module with local db support.
@@ -10,12 +11,13 @@
 # Uncomment these lines to build the module with remote kadmin support.
 KLOCAL =
 LIBS  += `$(KRB5CONFIG) --libs krb5 kadm-client`
+LIBS += $(COM_ERR_LIBS)
 LIBS  += -lc
 
 all: pam_krb5_migrate.so
 
 pam_krb5_migrate.so: pam_krb5_migrate.o
-	$(LD) -Bsymbolic -x -shared -o pam_krb5_migrate.so \
+	$(CC) -Wl,-z,defs -Wl,-Bsymbolic -Wl,-x -shared -o pam_krb5_migrate.so \
 	  pam_krb5_migrate.o $(LIBS)
 
 pam_krb5_migrate.o: pam_krb5_migrate.c

## pam-krb5-migrate 0.0.11

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 include Makefile.settings
-LDFLAGS += -Bsymbolic -x -shared
+LDFLAGS += -Wl,-Bsymbolic -Wl,-x -shared
 CFLAGS += `$(KRB5CONFIG) --cflags krb5 kadm-client`
 CFLAGS += $(COM_ERR_CFLAGS)
 CFLAGS += -fPIC
@@ -17,7 +17,7 @@
 all: pam_krb5_migrate.so
 
 pam_krb5_migrate.so: pam_krb5_migrate.o
-	$(CC) -Wl,-z,defs -Wl,-Bsymbolic -Wl,-x -shared -o pam_krb5_migrate.so \
+	$(CC) -Wl,-z,defs $(LDFLAGS) -o pam_krb5_migrate.so \
 	  pam_krb5_migrate.o $(LIBS)
 
 pam_krb5_migrate.o: pam_krb5_migrate.c

=== debian/changelog ===
pam-krb5-migrate (0.0.11-3) unstable; urgency=medium

  * Install login.pam example file. Closes: #687960
  * Bump standards version to 3.9.6 (no changes).
  * Also build a libpam-krb5-migrate-mit package, possible now because
    of the introduction of libkrb5-multidev.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 25 Apr 2015 10:57:57 +0200

pam-krb5-migrate (0.0.11-2) unstable; urgency=medium

  * Use canonical URL in Vcs-Git header.
  * Specify branch in Vcs-Git header.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 15 Jul 2014 16:33:03 +0200

pam-krb5-migrate (0.0.11-1) unstable; urgency=medium

  * Fix syntax error in copyright file.
  * Bump standards version to 3.9.5.
  * Use debhelper 7.
  * Use parseable copyright file format.
  * Enable build hardening.
  * Migrate to source format 3.0 (quilt).
  * Migrate packaging repo to git.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 29 Feb 2012 13:58:04 +0100

pam-krb5-migrate (0.0.10-1) unstable; urgency=low

  * New upstream snapshot.
   + Fixes compatibility with newer versions of Heimdal. LP: #832901 
  * Bump standards version to 3.9.2 (no changes).
  * Allow building against heimdal-multidev (which allows parallel
    installation of krb5-multidev) as alternative to heimdal-dev.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 15 Sep 2011 18:08:21 +0200

pam-krb5-migrate (0.0.9-1) unstable; urgency=low

  * Change section to admin.
  * New upstream release.
   + Includes proper configure file. (Closes: #539203)

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 30 Jul 2009 12:02:28 +0200

pam-krb5-migrate (0.0.8+bzr39-1) unstable; urgency=low

  * Bump standards version to 3.8.2.
  * New upstream snapshot.
  * Install pam-auth-update profile.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 29 Jul 2009 19:26:18 +0200

pam-krb5-migrate (0.0.8-2) unstable; urgency=low

  * Use gcc rather than ld for linking. (Closes: #495167)

 -- Jelmer Vernooij <jelmer@samba.org>  Thu, 21 Aug 2008 17:04:17 +0200

pam-krb5-migrate (0.0.8-1) unstable; urgency=low

  * New upstream release.
    + Fixes compatibility with newer Heimdal versions. (Closes: #445579)
  * Link with -z defs to force build failure in the future when there are
  missing symbols.
  * Allow Debian Maintainer uploads.

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 10 Dec 2007 20:59:40 +0100

pam-krb5-migrate (0.0.7-1) unstable; urgency=low

  * Include syslog.h. (Closes: #441683)
  * Fix building twice in a row. (Closes: #424346)

 -- Jelmer Vernooij <jelmer@samba.org>  Thu, 13 Sep 2007 18:29:08 +0200

pam-krb5-migrate (0.0.6-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@samba.org>  Fri, 27 Apr 2007 22:15:01 +0200

pam-krb5-migrate (0.0.5-1) unstable; urgency=low

  * Initial release. (Closes: #413820)

 -- Jelmer Vernooij <jelmer@samba.org>  Sat, 11 Nov 2006 13:58:49 +0100

=== debian/control ===
Source: pam-krb5-migrate
Section: admin
Priority: optional
Maintainer: Jelmer Vernooij <jelmer@debian.org>
Standards-Version: 3.9.6
Build-Depends: comerr-dev,
               debhelper (>= 5.0.70~),
               dh-autoreconf,
               heimdal-multidev,
               krb5-multidev,
               libpam-dev,
               pkg-config
Vcs-Git: git://anonscm.debian.org/users/jelmer/pam-krb5-migrate.git -b unstable

Package: libpam-krb5-migrate-heimdal
Architecture: any
Depends: libpam-runtime (>= 1.0.1-6), ${misc:Depends}, ${shlibs:Depends}
Description: PAM module for migrating to Heimdal Kerberos
 A stackable authentication module that takes a username and password from an
 earlier module in the stack and attempts to transparently add the user to a
 Kerberos realm using the Kerberos 5 kadmin service. The module can be used to
 ease the administrative burdens of migrating a large installed userbase from
 pre-existing authentication methods to a Kerberos-based setup.
 .
 This package allows updating the database of a remote Heimdal server.

Package: libpam-krb5-migrate-mit
Architecture: any
Depends: libpam-runtime (>= 1.0.1-6), ${misc:Depends}, ${shlibs:Depends}
Description: PAM module for migrating to MIT Kerberos
 A stackable authentication module that takes a username and password from an
 earlier module in the stack and attempts to transparently add the user to a
 Kerberos realm using the Kerberos 5 kadmin service. The module can be used to
 ease the administrative burdens of migrating a large installed userbase from
 pre-existing authentication methods to a Kerberos-based setup.
 .
 This package allows updating the database of a remote MIT Kerberos server.

=== debian/rules ===
#!/usr/bin/make -f

export DESTDIR=$(shell pwd)/debian/tmp

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

CFLAGS += -fPIC

%:
	dh --with autoreconf $*

override_dh_auto_configure:
	mkdir -p heimdal mit
	cd heimdal && $(shell dpkg-buildflags --export=configure) KRB5CONFIG=krb5-config.heimdal CFLAGS="$(CFLAGS) $(CPPFLAGS)" ../configure --prefix=/usr
	cd mit && $(shell dpkg-buildflags --export=configure) KRB5CONFIG=krb5-config.mit CFLAGS="$(CFLAGS) $(CPPFLAGS)"  ../configure --prefix=/usr

override_dh_auto_build:
	ln -s ../Makefile heimdal/Makefile
	ln -s ../Makefile mit/Makefile
	ln -s ../pam_krb5_migrate.c mit
	ln -s ../pam_krb5_migrate.h mit
	ln -s ../pam_krb5_migrate.c heimdal
	ln -s ../pam_krb5_migrate.h heimdal
	ln -s ../pam_krb5_migrate.7 heimdal
	ln -s ../pam_krb5_migrate.7 mit
	$(MAKE) -C heimdal
	$(MAKE) -C mit

override_dh_auto_test::

override_dh_auto_clean:
	rm -rf mit heimdal

override_dh_auto_install:
	$(MAKE) -C heimdal install DESTDIR=$(DESTDIR)
	mv $(DESTDIR)/lib/security/pam_krb5_migrate.so heimdal/pam_krb5_migrate_heimdal.so
	mv $(DESTDIR)/usr/share/man/man7/pam_krb5_migrate.7 heimdal/pam_krb5_migrate_heimdal.7
	$(MAKE) -C mit install DESTDIR=$(DESTDIR)
	mv $(DESTDIR)/lib/security/pam_krb5_migrate.so mit/pam_krb5_migrate_mit.so
	mv $(DESTDIR)/usr/share/man/man7/pam_krb5_migrate.7 mit/pam_krb5_migrate_mit.7

override_dh_installchangelogs:
	dh_installchangelogs -a CHANGELOG

=== debian/watch ===
version=3
http://samba.org/~jelmer/pam_krb5_migrate/pam-krb5-migrate-(.*).tar.gz
